Summary:	mrxvt - tabbed terminal emulator in an X Window System
Summary(pl.UTF-8):	mrxvt - emulator terminala dla X Window System
Summary(pt_BR.UTF-8):	Um emulador de vt102 colorido
Name:		mrxvt
Version:	0.5.4
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/materm/%{name}-%{version}.tar.gz
# Source0-md5:	0232c8868484751dcb931a28f0756f69
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-xkill.patch
URL:		http://materm.sourceforge.net/
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	utempter-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mrxvt is a multi-tabbed color vt102 terminal emulator for X Window
System. It features multi-tab support, fast pseudo-transparent
background, user supplied XPM/JPEG/PNG images for background, tinting,
off-focus fading, text shadow, NeXT/Rxvt/Xterm/SGI/Plain style
scrollbars, XIM and multi-languages (Chinese/Korea/Japanese), and
logging.

Mrxvt does NOT require KDE or GNOME desktop environment.

%description -l pl.UTF-8
Mrxvt to wielozakładkowy emulator terminala kolorowego vt102 dla X
Window System. Obsługuje wiele zakładek, szybkie pseudoprzezroczyste
tło, wyświetlanie wybranych przez użytkownika obrazków XPM/JPEG/PNG
jako tło, cieniowanie, wygaszanie przy utracie "focusu", cienie
tekstu, paski przewijania w stylu NeXT/Rxvt/Xterm/SGI/Plain, XIM i
wiele języków (chiński/koreański/japoński) oraz logowanie.

Mrxvt NIE wymaga środowiska KDE ani GNOME.

%prep
%setup -q
%patch0 -p1

%build
export LDFLAGS="%{rpmldflags} -lutempter -L%{_libdir}"
export CFLAGS="%{rpmcflags}"

%configure \
	%{?debug:--enable-debug} \
	--enable-rxvt-scroll \
	--enable-next-scroll \
	--enable-xterm-scroll \
	--enable-transparency \
	--enable-xpm-background \
	--enable-fading \
	--enable-utmp \
	--enable-wtmp \
	--enable-mousewheel \
	--enable-slipwheeling \
	--enable-smart-resize \
	--enable-ttygid \
	--enable-256-color \
	--enable-xim \
	--enable-shared \
	--enable-keepscrolling \
	--enable-xft \
	--disable-xgetdefault \
	--enable-menubar \
	--enable-backspace-key \
	--enable-delete-key \
	--enable-resources  \
	--enable-swapscreen

%{__make}
%{__cc} $CFLAGS share/scripts/settitle.c -o settitle

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install settitle $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README AUTHORS NEWS TODO
%doc doc/README.*
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/settitle
%{_sysconfdir}/mrxvt
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_pixmapsdir}/%{name}-csh.png
%{_pixmapsdir}/%{name}-root.png
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mrxvt.git;a=log;h=master

* Fri Mar 18 2011 Kacper Kornet <draenog@pld-linux.org> eeb18c8
- patch for orphaned processes after xkill, see:
  http://www.mail-archive.com/misc@openbsd.org/msg61290.html
- adapterized

* Wed Feb 10 2010 sparky <sparky@pld-linux.org> e74cea0
- dropped BR: autoconf

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 8fb4478
- BR: xorg-lib-libX11-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b72b3d8
- release 2

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> d6022e8
- updated to 0.5.4

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 931e78d
- release 2

* Thu Jul 03 2008 luzik <luzik@pld-linux.org> 766bc33
- updated to 0.5.3

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 7aa0719
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Fri May 04 2007 luzik <luzik@pld-linux.org> 4c4c671
- updated to 0.5.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> edeed46
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5babecf
- converted to UTF-8

* Sun Apr 30 2006 Adam Gołębiowski <adamg@pld-linux.org> bfa930c
- updated to 0.5.0

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> aefb868
- adapterized (killed trailing spaces/tabs)

* Sun Sep 04 2005 Marcin Banasiak <marcin.banasiak@gmail.com> 0a89820
- up to 0.4.1

* Mon Feb 07 2005 Elan Ruusamäe <glen@pld-linux.org> 5f91386
- 0.3.13

* Sun Feb 06 2005 Adam Gołębiowski <adamg@pld-linux.org> 61bd7c0
- updated to 0.3.12

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 85afce7
- release 2

* Sun Dec 12 2004 Elan Ruusamäe <glen@pld-linux.org> c73d89d
- add --enable-debug
- disable xgetdefault as multilevel resources don't work with it,
  and therefore hotkey binds fail:
  mrxvt*hotkey.NewTab:   alt+n
  http://tronche.com/gui/x/xlib/appendix/d/XGetDefault.html

* Sun Dec 12 2004 Elan Ruusamäe <glen@pld-linux.org> 453587d
- package settitle (read docs what it does)
- package more pixmaps
- remove duplicate --enable-xft
- add menu files to %doc

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 469ab4e
- seems ok for me, release 1

